Bug 24861 - Modernize SDDM login screen
Summary: Modernize SDDM login screen
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High enhancement
Target Milestone: Mageia 9
Assignee: Atelier Team
QA Contact:
URL:
Whiteboard:
Keywords: Atelier
Depends on:
Blocks:
 
Reported: 2019-05-23 10:44 CEST by Jose Manuel López
Modified: 2021-03-18 23:44 CET (History)
10 users (show)

See Also:
Source RPM: sddm-0.19.0-2.mga8.src.rpm
CVE:
Status comment: Delayed, as it pulls entire plasma-workspace in order to work. not suitable for other DE.


Attachments
New Mageia sddm theme (581.27 KB, application/zip)
2021-02-13 18:13 CET, Aurelien Oudelet
Details

Description Jose Manuel López 2019-05-23 10:44:45 CEST
Description of problem: Modernize login screen. 

I think we should update the topic of login, so I made an example of how the new login could be.

There could be a snippet about this as it is done with the art of Mageia

In this link you can see the example:https://drive.google.com/open?id=1g4OduFK6Bl2ZzdCFwdi5AVbhrpYaAKjp


Version-Release number of selected component (if applicable):Sddm Mga 7


How reproducible: Login screen


Steps to Reproduce:
1.Boot the system
2.Personalize default sddm screen
3.The login screen is cleaner and updated
Comment 1 Jose Manuel López 2019-05-23 11:49:08 CEST
The link was wrong, this is the correct one:https://drive.google.com/open?id=1sxZv9zFVq7mWEaNFwpKrkwedf2RhQLJX
Comment 2 Kristoffer Grundström 2019-05-23 17:04:35 CEST
I think this might be something to discuss in the Atelier team.

Here's a link to follow: https://wiki.mageia.org/en/Atelier_team

CC: (none) => hamnisdude

Marja Van Waes 2019-05-24 17:37:19 CEST

Summary: Modernize login screen => Modernize SDDM login screen
CC: (none) => kde, marja11
Assignee: bugsquad => atelier-bugs

Comment 3 Jose Manuel López 2019-06-18 12:11:58 CEST
Hi,

I modified the original theme "Breeze" that comes in Mageia, to adapt it to the suggestion that I mentioned in the atelier team.

I put here a link with the complete folder "breeze". To apply the theme, just replace the folder that is in /usr/share/sddm/themes, by this, and then apply the theme in preferences.

https://drive.google.com/open?id=1BdBoOohalvAsYQ5D-jOL3Hno0DMrvZh-

I hope you like it.

Regards!!
Comment 4 Jose Manuel López 2019-08-02 09:57:16 CEST
Hi, 

How's it going?

Any news on that?

Regards!!
Comment 5 Jose Manuel López 2019-09-26 06:49:23 CEST
Hi, 

How's it going?

Any news on this?

Greetings!!
Comment 6 Jose Manuel López 2020-01-03 08:52:07 CET
Hi, 

How's it going?

Any news on this?

Are there any development plans or modifications for this feature?

Greetings

Status: NEW => UNCONFIRMED
Ever confirmed: 1 => 0

Comment 7 Fabien Deschodt 2020-01-03 10:48:02 CET
(In reply to Jose Manuel López from comment #6)
> Hi, 
> 
> How's it going?
> 
> Any news on this?
> 
> Are there any development plans or modifications for this feature?
> 
> Greetings

I support the request of Jose Manuel López to modernize sddm with the theme breeze.

I have do the change on my laptop and it's better without the "welcome on localhost".

I will ask again the subject on the discussion list.

CC: (none) => vive_les_poils

Comment 8 Jose Manuel López 2020-01-03 12:38:38 CET
I've update the link, because the link of comment 3 no works.

This the new link for the new login theme of Mageia: https://drive.google.com/open?id=1BdBoOohalvAsYQ5D-jOL3Hno0DMrvZh-

Greetings
Comment 9 Jose Manuel López 2020-01-03 12:41:27 CET
Grrr, The link was wrong. It's here: https://drive.google.com/file/d/1BdBoOohalvAsYQ5D-jOL3Hno0DMrvZh-/view?usp=sharing
Comment 10 Nicolas Lécureuil 2020-06-02 09:58:11 CEST
can you add the file back ? it tells me it does not exists

CC: (none) => mageia

Comment 11 Jose Manuel López 2020-06-02 10:12:25 CEST
Here is:  https://mega.nz/file/KwdTCaCI#dU9SNsvIaaer_wBebcwq9wa37xU5Qf6V6HLNtEv_QWg
Comment 12 Aurelien Oudelet 2020-08-14 17:57:43 CEST
I am not in Atelier Team to know about what is going on.

Therefore, I support the request to change the default theme for SDDM. We should make it based on Breeze theme with our wallpaper.

Blur effect on wallpaper should appear when credentials are required. But upstream theme is blur always on.

Mageia Theme is supplied by mga-coffee directory by sddm package - something odd...

CC: (none) => ouaurelien
Target Milestone: --- => Mageia 8
Ever confirmed: 0 => 1
Source RPM: sddm => sddm-0.18.1-4.mga8.src.rpm
Severity: normal => major
Keywords: (none) => Atelier
Status: UNCONFIRMED => NEW
Priority: Normal => High

Comment 13 Aurelien Oudelet 2020-09-19 18:09:11 CEST
Hi,
This is High priority bug for a good reason.

Making Mageia even better than ever is best direction.
In order to do right thing, this bug should be examined and fixed as soon as possible.

Packagers, please make the status to Assigned when you are working on this.
Feel free to reassign the bug if bad-triaged. Also, if bug is old, please close it.

On October 1st 2020, we will drop priority to normal.
Comment 14 Jose Manuel López 2020-10-30 11:28:24 CET
Thanks to Katnatek of Blogdrake Blog, the Spanish comunity of Mageia, there is a rpm package of this sddm in Blogdrake repositories. I put the link here:

http://ftp.blogdrake.net/mageia/mageia7/free/noarch/mageia-breeze-sddm-theme-1-1bdk.mga7.noarch.rpm
Comment 15 Nicolas Lécureuil 2020-12-13 16:17:56 CET
hi,

what about this bureport? Would be nice to have it fixed for Beta3/rc1.
Nicolas Lécureuil 2020-12-13 16:19:48 CET

Priority: High => release_blocker

Comment 16 Aurelien Oudelet 2020-12-14 18:48:57 CET
I do think that we could update this.
Previously, mga-coffee has been made to not show a list of users.


We are waiting for latest contest from Atelier to get default wallpaper.

Note that we must add a 1920x1080 wallpaper size because of this resolution is important.

Source RPM: sddm-0.18.1-4.mga8.src.rpm => sddm-0.19.0-2.mga8.src.rpm

Comment 17 Nicolas Lécureuil 2021-01-11 21:35:16 CET
but seeing users is  no go ( at least from KDE Team )
Comment 18 David Walser 2021-01-11 23:49:17 CET
We just have to make sure that there are decent theme options for showing users and not showing users.
Comment 19 Nicolas Lécureuil 2021-01-23 19:27:24 CET
 i can't install http://ftp.blogdrake.net/mageia/mageia7/free/noarch/mageia-breeze-sddm-theme-1-1bdk.mga7.noarch.rpm right now; can someone provide a screenshot ?
Comment 20 Aurelien Oudelet 2021-01-23 20:14:15 CET
This is default Breeze SDDM Theme with Mageia wallpaper and removing user listing.
Comment 21 Jose Manuel López 2021-01-23 22:21:31 CET
Hi, in comment 11 there a zip with the image. The font size and clock have also been changed.

Greetings!
Comment 22 Dave Hodgins 2021-01-28 20:53:36 CET
Status?

CC: (none) => davidwhodgins

Comment 23 Nicolas Lécureuil 2021-02-01 11:10:52 CET
(In reply to Jose Manuel López from comment #8)
> I've update the link, because the link of comment 3 no works.
> 
> This the new link for the new login theme of Mageia:
> https://drive.google.com/open?id=1BdBoOohalvAsYQ5D-jOL3Hno0DMrvZh-
> 
> Greetings

i like it.

can we still work on it ? i think this is not too late.


Any objection ?
Comment 24 Aurelien Oudelet 2021-02-01 11:16:50 CET
In facts, this theme is like the Breeze default theme with Mageia wallpaper.
This is as simple as that.

But we do add an option to mask listing of users.
Comment 25 Jose Manuel López 2021-02-02 09:37:30 CET
It would be nice if it was updated for the final release version.

Best regards!!
Comment 26 Donald 2021-02-02 11:57:51 CET
(In reply to Nicolas Lécureuil from comment #23)
> (In reply to Jose Manuel López from comment #8)
> > I've update the link, because the link of comment 3 no works.
> > 
> > This the new link for the new login theme of Mageia:
> > https://drive.google.com/open?id=1BdBoOohalvAsYQ5D-jOL3Hno0DMrvZh-
> > 
> > Greetings
> 
> i like it.
> 
> can we still work on it ? i think this is not too late.
> 
> 
> Any objection ?

Also don't think it's too late. The question becomes do we replace the current theme with this one or package it as an additional theme?

CC: (none) => watersnowrock

Comment 27 Jose Manuel López 2021-02-08 12:06:45 CET
I think it would be a good idea to change it as the main theme of Mageia 8, it is another change that will show the renewal of the distro.

If we put it as an additional, it is possible that many users do not even know that it exists.

Are there any changes about the latest comments? Is there any progress on this?

Greetings!!
Comment 28 Nicolas Lécureuil 2021-02-08 13:17:46 CET
i can try to work on it today.
Comment 29 Jose Manuel López 2021-02-09 13:03:24 CET
Okay, any progress?
Comment 30 Aurelien Oudelet 2021-02-10 16:10:00 CET
(In reply to Nicolas Lécureuil from comment #28)
> i can try to work on it today.

(In reply to Jose Manuel López from comment #29)
> Okay, any progress?

In order to use the default Breeze SDDM theme, we should only point it to use our default wallpaper.

Also, we must add these lines to /etc/sddm.conf

MinimumUid=99999
MaximumUid=99999
RememberLastUser=false
RememberLastSession=false

So, it will no longer list users on the system. It will ask for valid username+password.
Comment 31 Jose Manuel López 2021-02-10 17:14:45 CET
I think that we should remove the background blur that the plasma default theme brings by default,for our background to be seen in all its splendour

Greetings!!
Comment 32 Aurelien Oudelet 2021-02-10 17:25:22 CET
(In reply to Jose Manuel López from comment #31)
> I think that we should remove the background blur that the plasma default
> theme brings by default,for our background to be seen in all its splendour
> 
> Greetings!!

Sadly upstream done hard work on this: https://phabricator.kde.org/D16031.

By default, the behaviour is to blur all the scene, even the background to display the user credential greeter, the date and Controls to sleep/halt/reboot...
But, if you wait 1 minute, the screen un-blur and the magnificent wallpaper is displayed.

There is no option currently to default to wallpaper and, with a mouse move, or a key type, to blurry and display the logon stuff...

Same is true with the KScreenLocker (Plasma Screen Saver).
Comment 33 Jose Manuel López 2021-02-10 19:50:22 CET
Hi!!

To fix the blur, simply modify the "WallpaperFader.qml" file that is in the "components" folder of the breeze theme and put in the "Fastblur" section, the value "radius" with -100.

This simply corrects the blur effect and looks like an image as you can see here:
https://mega.nz/file/WslSUIRL#RJeU0qsmcRuzz5e3HNdqEM4lwaDRy62Aiox3dz502Ss

Perhaps, We could copy the default plasma theme and simply pack it with this correction for the Mageia users.


Greetings!!
Comment 34 Thomas Backlund 2021-02-12 13:40:24 CET
@Nicolas: any ETA on this ?
Comment 35 Nicolas Lécureuil 2021-02-12 15:53:08 CET
i was fixing the dolphin crash. and pushed a fix in testing for it. 
When OK i finish this one. I hope to have something tomorow at last.
Comment 36 Nicolas Lécureuil 2021-02-12 21:22:54 CET
i added the theme from comment #11 in the the sddm package ( pushed in testing ).

needs testing.

i kept the previous theme in the spec file ( became Source8 ) if we need to revert.
Comment 37 Jose Manuel López 2021-02-12 23:05:28 CET
Wooowww,

Tested on my computer with Mageia 8 Plasma. It looks really good !!!

Nice job!

If someone else can confirm, can we close the upgrade?
Comment 38 Nicolas Lécureuil 2021-02-13 01:05:23 CET
strange, i just updated and i don't see any difference in my sddm theme.

Do i have to do something more ?
Comment 39 David GEIGER 2021-02-13 07:19:40 CET
Here it works also fine, and it looks nicely :) great great!

CC: (none) => geiger.david68210

Comment 40 Aurelien Oudelet 2021-02-13 15:35:17 CET
Updated to sddm-0.19.0-7.mga8.x86_64

Previous Mageia (mga-coffee) theme correctly switched to a new beautiful one based on upstream Breeze without the blurr effect that prevented the view of our wallpaper.

BUT there drawbacks:

1) The "user switch" button is not translated into French whereas it is in upstream one. I suspect our files are more "ancient" that the new theme.

2) Also, in sddm Systemsettings configuration pane, our Theme is named "Breeze"... there are 2 Breeze here. It must be renamed.

3) The ancient theme is no longer accessible...

So, I will download theme in Comment #11, add necessary modifications by with a rebase to current upstream theme and adding modifications from Blogdrake.
Then I will send it to you Nicolas.
Comment 41 Jose Manuel López 2021-02-13 16:21:41 CET
Hi, the button for change user, itsn't translate to spanish.

Waiting for the new version according to comment 40


Greetings!!
Comment 42 Aurelien Oudelet 2021-02-13 18:13:13 CET
Created attachment 12338 [details]
New Mageia sddm theme

This is new Mageia theme for sddm, based on upstream Breeze without the blurry effect on our beautiful wallpaper.

This will always be updated for each Mageia version.

As a new functionality, it permits to put system into sleep.

Note also that it will displays a user list.
As someones do not want this feature, it is necessary to add the following lines to this file:
/etc/sddm.conf

RememberLastUser=false
RememberLastSession=false
MinimumUid=99999
MaximumUid=99999

Also, if you do want Numlock feature, you must add this in Plasma and do a sddm conf sync using the sddm settings page in systemsettings5.

This is more "en phase" with upstream theme and sddm feature.
Comment 43 Aurelien Oudelet 2021-02-13 18:18:42 CET
Attachment 12338 [details] must be installed to /usr/share/sddm/themes by sddm configuration panel in systemsettings5.

To do this, 
Download attachment above.
Leave as a .zip file in the download directory.
Open systemsettings5 => Workspace => Startup and Shutdown => Login Screen (SDDM)
Choose then "Install from File...".
It will ask you for root password (or your user if wheel group member).
Make sure it is selected.
Click "Apply".
It will ask you for root password (or your user if wheel group member).

Reboot.
Booh.
Comment 44 Aurelien Oudelet 2021-02-13 18:20:00 CET
Note that this will land in 8/core/updates_testing/sddm-0.19.0-8.mga8 

and automagically done for you later.
Comment 45 Nicolas Lécureuil 2021-02-13 18:49:44 CET
new rpm sddm-0.19.0-9.mga8  pushed in updates_testing
Comment 46 Thomas Backlund 2021-02-13 19:22:04 CET
(In reply to Aurelien Oudelet from comment #42)
> Created attachment 12338 [details]
> New Mageia sddm theme
> 

Why is this not properly managed in git like other themes instead of uploading random tarballs without proper tracking of changes...


> This is new Mageia theme for sddm, based on upstream Breeze without the
> blurry effect on our beautiful wallpaper.
> 
> This will always be updated for each Mageia version.
> 
> As a new functionality, it permits to put system into sleep.
> 
> Note also that it will displays a user list.


per comment 17 it should _not_ show users by default.
so that still need fixing


> As someones do not want this feature, it is necessary to add the following
> lines to this file:
> /etc/sddm.conf
> 
> RememberLastUser=false
> RememberLastSession=false
> MinimumUid=99999
> MaximumUid=99999
> 
> Also, if you do want Numlock feature, you must add this in Plasma and do a
> sddm conf sync using the sddm settings page in systemsettings5.
> 
> This is more "en phase" with upstream theme and sddm feature.
Comment 47 Jose Manuel López 2021-02-13 19:36:05 CET
The latest update does not work for me, "access denied to main.qml" and sddm does not appear in login.
Comment 48 Nicolas Lécureuil 2021-02-13 19:38:32 CET
(In reply to Thomas Backlund from comment #46)
> (In reply to Aurelien Oudelet from comment #42)
> > Created attachment 12338 [details]
> > New Mageia sddm theme
> > 
> 
> Why is this not properly managed in git like other themes instead of
> uploading random tarballs without proper tracking of changes...

i agree.

I will see to add it on git.
Aurelien Oudelet 2021-02-14 21:54:58 CET

Status comment: (none) => Mageia's branding on new theme based on current Breeze one is currently tested and on a good shape for prime time

Comment 49 Aurelien Oudelet 2021-02-14 22:10:39 CET
(In reply to Thomas Backlund from comment #46)
> (In reply to Aurelien Oudelet from comment #42)
> > Created attachment 12338 [details]
> > New Mageia sddm theme
> > 
> 
> Why is this not properly managed in git like other themes instead of
> uploading random tarballs without proper tracking of changes...

Nicolas has done this.
And the random tarball is only based on upstream Breeze with changes in wallpaperFader.qml base on Comment 33.
Modifiés also is Metadatas.desktop file to be have our Branding.

> > 
> > Note also that it will displays a user list.
> 
> per comment 17 it should _not_ show users by default.
> so that still need fixing
> 
And per comment 18, it should have a proper way to activate/deactivate the users listings.

For this, instead of heavyly patching main.qml file, we should rely on MSEC functionality where there is a variable named ALLOW_LIST_USER.
If this variable has "yes" value : listing users is done.
If this has a "no" value : listing users is forbidden.

Papoteur has already says about this is possible and write a patch for this.

Nicolas is on it.
Comment 50 Thomas Backlund 2021-02-14 22:48:32 CET
this image is in french:
http://gitweb.mageia.org/software/design/mageia-sddm/plain/preview.png

base language for artwork is always english, please fix
Comment 51 Thomas Backlund 2021-02-15 01:17:06 CET
can this one be fixed up soon-ish so we can start final iso builds
Comment 52 Nicolas Lécureuil 2021-02-15 18:53:08 CET
i just pushed a new sddm with:
- The fixed preview.png
- The "show user list" button removed.


The remaining issue is that the previous user name is shown.


We have in our sddm configuration:


RememberLastUser=false
RememberLastSession=false


if someone can get an extra look i would appreciate :-)
Comment 53 Aurelien Oudelet 2021-02-15 19:20:03 CET
(In reply to Nicolas Lécureuil from comment #52)
> RememberLastUser=false
> RememberLastSession=false
> 
> 
> if someone can get an extra look i would appreciate :-)

Because the sddm.conf provided by 8/core/updates_testing/sddm-0.19.0-12.mga8
from this day

DOES HAVE these lines:

[Users]
MinimumUid=500            <===== WRONG START NUMBER
RememberLastUser=false
RememberLastSession=false

It must be:
[Users]
MinimumUid=99999      <===== GOOD START NUMBER
MaximumUid=99999      <=== having BOTH make main.qml doesn't display the user list
RememberLastUser=false
RememberLastSession=false
Comment 54 Nicolas Lécureuil 2021-02-15 20:31:54 CET
even with 99999 the username is written for me on the screen.
Comment 55 Aurelien Oudelet 2021-02-15 20:45:13 CET
With the provided files and unmodified,
Theses 4 lines must be in /etc/sddm.conf

[Users]
MinimumUid=99999
MaximumUid=99999
RememberLastUser=false
RememberLastSession=false

After, if main.qml has been modified, some strange behaviours occurs...
Comment 56 Nicolas Lécureuil 2021-02-15 20:52:20 CET
OK. Thanks to our QA Team we have tested a lot and we won't be able to use this theme based on breeze by default.

It requires plasma-workspace to work. This is unacceptable for non plasma desktop.


I propose to go back on mga-coffee like in mageia 7 and  to start working on a real mageia sddm theme for mageia 9.


Can we go with this ?
Comment 57 Aurelien Oudelet 2021-02-15 20:57:02 CET
Yes for Mageia 8.

We also should look for the minimum required files from plasma-workspace and copy them to a specific package for lxqt / other DE.

But, normally, all required files were in the theme I provided.
Comment 58 Nicolas Lécureuil 2021-02-15 21:24:17 CET
(In reply to Aurelien Oudelet from comment #57)
> Yes for Mageia 8.
> 
> We also should look for the minimum required files from plasma-workspace and
> copy them to a specific package for lxqt / other DE.
> 
> But, normally, all required files were in the theme I provided.

this is too late to test such changes, we could break others apps.
Comment 59 Jose Manuel López 2021-02-15 21:40:10 CET
Tomorrow I will test this in mageia lxqt virtual machine.
Comment 60 Jose Manuel López 2021-02-15 21:44:59 CET
Or, I am installing various virtual machines of Mageia with the major desktop environments.

I will coment about this.
Aurelien Oudelet 2021-02-16 04:51:39 CET

Priority: release_blocker => High
Target Milestone: Mageia 8 => Mageia 9
Status comment: Mageia's branding on new theme based on current Breeze one is currently tested and on a good shape for prime time => Delayed, as it pulls entire plasma-workspace in order to work. not suitable for other DE.

Comment 61 Jose Manuel López 2021-02-16 08:48:28 CET
Hi, 

I have testing the desktop enviroments. I have started with Lxqt. The new login theme show the next bugs:

The current theme cannot be loaded due to the errors below, please select another theme.

file:///usr/share/sddm/themes/mageia/Main.qml:28:1:module "org.kde.plasma.extras" is not installed.
file:///usr/share/sddm/themes/mageia/Main.qml:27:1:module "org.kde.plasma.components" is not installed
file:///usr/share/sddm/themes/mageia/Main.qml:26:1:module "org.kde.plasma.core" is not installed
file:///usr/share/sddm/themes/mageia/Main.qml:28:1:module "org.kde.plasma.extras" is not installed.

Greetings!
Comment 62 Jose Manuel López 2021-02-16 08:50:35 CET
Mageia coffe don't show this bugs, so, is packaged without this dependencies?
Comment 63 Jose Manuel López 2021-02-16 10:39:15 CET
Would it be possible to package these dependencies with our sddm?
Comment 64 Nicolas Lécureuil 2021-02-16 11:12:11 CET
(In reply to Jose Manuel López from comment #63)
> Would it be possible to package these dependencies with our sddm?

no because it would install plasma-workspace, this is not acceptable to force it in lxqt.


I have remove this from updates_testing but still a blocker bug. 

The name of the previous user still stay visible.
Comment 65 Nicolas Lécureuil 2021-02-16 12:14:10 CET
in fact this seems valid on RC already
Comment 66 Aurelien Oudelet 2021-02-16 17:28:28 CET
I will work with upstream KDE/Plasma devs to make sddm Breeze theme completely independent of Plasma-Workspace.

Also, for lxqt, as they also use Breeze window decorations and theme, it should also use Breeze from Plasma-Workspace.

Upstream already told me on IRC that this could be possible.
Reducing Severity to enhancement.


Suggestion for Mageia 9:
We should think about providing a branding-RPM like openSUSE does to add this new theme only for Plasma Desktop... This is also possible.
We should have:

- a RPM "A" that provides sddm with only default working configuration with MAUI theme (upstream default); RPM owns /etc/sddm.conf

- a RPM "B" that provides Mageia with Breeze theme for Plasma-Only. RPM B owns /etc/sddm.conf.d/10.mageia.conf in which we'll see:

[Users]
MinimumUid=99999
MaximumUid=99999
RememberLastUser=false
RememberLastSession=false

[Theme]
Current=mageia-2.0
CursorTheme=breeze_cursors

- a RPM "C" that provides mga-coffee for other desktop environments like lxqt,... That RPM "C" should conflicts with "B" and Plasma-Workspace.
It also owns /etc/sddm.conf.d/10.mageia.conf in which we'll see:

[Users]
RememberLastSession=false

[Theme]
Current=mga-coffee
CursorTheme=breeze_cursors


To do that, sddm RPM SPEC should be rewritten as it includes several hard coded path to mga-coffee.

This, upstream already told me it is the short way to have this theme working with our distribution.
Note that my proposal on IRC to integrate in the Breeze sddm theme all necessary bits to make it standalone (so not dependent of Plasma Workspace) is taken seriously.

Severity: major => enhancement

Omer I.S. 2021-03-18 23:44:06 CET

CC: (none) => omeritzicschwartz


Note You need to log in before you can comment on or make changes to this bug.